using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int prvi =- 1;
            int drugi = Convert.ToInt32(Console.ReadLine());
            int treci = Convert.ToInt32(Console.ReadLine());

            int zbir = drugi + treci;
            if (zbir>=256)
            {
                 prvi = 0;
                Console.WriteLine(prvi.ToString());
            }
            else if (drugi>treci)
            {
                prvi = 256 - drugi;
                Console.WriteLine(prvi.ToString());
            }
            else if (treci>drugi)
            {
                prvi = 256 - treci;
                Console.WriteLine(prvi.ToString());
            }
          
        }
    }
}